Dolby Digital 5.1-channel

dScope Series III Applications Manual

The dScope can perform conformance testing of Dolby Digital 5.1-channel replay devices such as DVD players (in conjunction with the Dolby DVD Test DVD), when operating in 5.1-channel and two-channel modes.

An easy-to-use script and accompanying Configurations are provided which shows a menu of all available tests, and guides you through each test. This script and the accompanying Configurations are installed automatically from the dScope's installation CD; updates may be obtained from www.prismsound.com, or by contacting Prism Sound or your local distributor. Contact details are provided in the General information section.

Details of how to get started with Dolby Digital 5.1-channel testing are in the Overview section.

Dolby Digital 5.1-channel


Overview

This document describes how to perform the 5.1-channel tests required by Dolby Laboratories for DVD players and broadcast consumer products, as specified in the Dolby Test Procedure document, using a Prism Sound 'dScope Series III' audio analyzer. For details of the individual tests, refer to the Dolby Digital 5.1-channel tests reference section of this manual.

This document is not meant as a replacement for the Dolby Digital Test Procedure document, and all tests should be performed with reference to that document for full details of the tests.

Two-channel tests

The Dolby Digital 5.1-channel DVD Test Procedure requires that 5.1-channel DVD players are also tested in two-channel mode. To perform these tests, configure the DVD player for two-channel mode and refer to the manual for Dolby Digital 2-channel testing.

Running the tests

The dScope's Dolby Digital 5.1-channel tests are accessed from the Default User Bar of the dScope, under "Applications:Dolby Digital 5.1-channel" if that User Bar is configured, or alternatively by running the "Dolby Digital 6Ch.dss" launcher script by selecting "Run Script" from the Automation menu. The launcher script presents a tests menu, from which each test may be automatically performed, with prompting for the required tracks from the Dolby Digital Test DVD.

Before launching the menu, the script will prompt you for the name and serial number of the Product. This will be used to store test results; see Collection of results (below) for more details.

Automatic testing using a Switcher

The Dolby Digital 5.1-channel tests can be run using an I/O Switcher, a dS-NET peripheral. The I/O Switcher is a 16-into-2 relay switcher, which can be used for switching either analogue or digital (AES3) audio signals. For each test, the switcher can speed up testing by switching each of the channels of the Dolby Digital 5.1-channel output in turn into the dScope's analogue inputs, thus eliminating the need for repeated plugging and unplugging of cables. See I/O Switchers in the dS-NET Peripherals manual for further details.

If an I/O Switcher is not available, the 5.1-channel tests can still be performed, but the operator will have to manually change the inputs to the dScope by plugging and unplugging cables. At the start of the test, the launcher script will prompt whether the I/O Switcher is to be used; if so, then the script assumes that the switcher has an address of 0. This can be changed in the script if required.

Additional help during testing

When starting the launcher script, the operator will be prompted to select whether additional help is required in either (or both) of the following areas:

· Test methods;
· Test specifications (pass/fail limits);

If either of these is selected, then additional message boxes are generated during running of each test which describe the selected parameter(s) for that test.

Note about Reference Level

The first test listed in the tests menu is the 'Reference Level' test. This test establishes an ideal 'full-scale' amplitude reading for the Dolby Digital device under test. This level is used as a reference in most of the other tests, and so it is important that the Reference Level test is performed first. Failure to do so will result in an error message when other tests are attempted.

Collection of results

When a test from the test menu has been executed, its button becomes italicised in the test menu to indicate that it has been completed. The results of each graphical test test are saved as an EMF file, in preparation for inclusion in a document at the end.

The files are saved in a subfolder which is made up of the name of the product and its serial number. The operator is prompted for these at the beginning of the test, and exported graphs are then saved to a subfolder of the dScope's Graph Exports folder of the form <Graph Exports Folder>\Dolby\5_1-channel\Product\SerialNum

e.g. if the Product name is "A360" and the serial number is "043", and the dScope's Graph Exports folder is left as the default, then the folder will be:

<dScope program folder>\Graph Exports\Dolby\5_1-channel\A360\043\

Note: Unlike the Dolby Digital two-channel tests, results are available only during the test and are not written to a Word document. This feature is a planned addition for the future.

Customising the tests

This document describes the automatic execution of the Dolby Digital 5.1-channel tests, one at a time, from a tests menu under the control of a central 'launcher script'. The script loads a dScope Configuration for the selected test, and then starts the test, prompting the operator to play the relevant track on the test DVD. The results of each test are presented for operator scrutiny, but precise 'pass/fail' limits are not applied (principally because few limits are specified by Dolby for the tests).

Since the launcher script and Configurations are 'soft', it is possible to customise the process according to requirements. For example:

· The execution of whichever tests were required could be automated as a single operation, with track-prompts;
· Pass/fail limits could be applied, with an overall pass/fail report generated;

Note that minor or temporary changes to a test Configuration can be made manually before clicking the button to start the test.

Dolby Test Procedure document and Test DVD

The following reference document and test DVD are relevant to these tests, and are available from Dolby Laboratories:

· Dolby Digital 5.1-Channel DVD Player Test Procedure, Issue 3
· Dolby Digital Test DVD, version 1.0 or 1.5
· Dolby Digital AutoTest DVD, version 2.0

Compatibility with Audio Precision System 2 test files

The Dolby Test Procedure document details the Audio Precision System 2 test files for the analogue and digital domain tests. When using dScope Series III these are replaced with the equivalent dScope Configuration files, as listed below and at the beginning of each test in the Dolby Digital 5.1-channel tests reference section.

Dolby accreditation

This document does NOT describe all the requirements that must be met in order to achieve accreditation from Dolby Laboratories. Please refer to Dolby documentation for full details. Note that to comply with the Dolby Laboratories' requirements, additional tests outlined in the Dolby procedure (such as listening and functional tests) must also be completed and documented.

Folder structure

On installation, the Dolby Digital 5.1-channel test files are contained in two folders as follows:

Configurations are in <dScope root>\Configurations\Dolby\6-channel

The launcher script, "Dolby Digital 6Ch.dss" is in <dScope root>\Scripts\Automation

Scripts for individual tests are in <dScope root>\Scripts\Automation\Dolby

The following Configurations are used during Dolby Digital 5.1-channel testing:

Ref Level Track 30.dsc

Rel Output Level Track 28_2.dsc

Max Output Level Track 65-69.dsc

Max Output Level Track 70-73.dsc

Dialog Normalization Track 62.dsc

Dynamic Range Compression Track 61.dsc

Frequency Response Track 43-48.dsc

THD vs Frequency Track 43-47.dsc

THD vs Level Track 63.dsc

Signal to Noise Ratio Track 35.dsc

DownMix Track 41-42.dsc

DownMix Overload Track 60.dsc

Low Frequency Overload Track 70-73.dsc

Relative Phase Track 55-56.dsc

Level Trim Controls Track 30.dsc

Centre Channel Delay Track 56.dsc

Pro Logic Functionality Track 5-6.dsc

Pro Logic Centre Channel Evaluation Track 8 and 19.dsc

Pro Logic Surreound Delay Track 36_2.dsc

Noise Sequencer.dsc

Overview Dolby Digital 5.1-channel


Dolby Digital 5.1-channel tests reference

The Dolby Digital 5.1-channel tests are described in detail in the two following sections:

Analogue domain tests

Digital domain tests

Dolby Digital 5.1-channel tests reference Dolby Digital 5.1-channel


Analogue domain tests

The following analogue domain tests are available, and are described in the following sections:

Reference Level

Relative Output Level

Maximum Output Level

Dialog Normalization

Dynamic Range Compression

Frequency Response, Bass Redirection

THD vs Frequency

THD vs Level

Signal-to-Noise

Downmix

Downmix Overload

Low Frequency Overload

Relative Phase

Level Trim Controls

Dolby Digital Centre Channel Delay

Dolby Digital Surround Channel Delay

Noise Sequencer

The following Pro Logic tests are not currently implemented in the Dolby Digital 5.1-channel test scripts:

· Pro Logic Functionality
· Pro Logic Centre Channel Evaluation
· Pro Logic Surround Channel Delay

Setting up

The analogue domain tests are measured at the analogue line outputs of the EUT. The connections between the DVD player and the dScope will depend on whether an I/O Switcher is being used for the test; please follow the on-screen instructions when the test script is started.

For unbalanced consumer equipment WITHOUT GROUND REFERENCE (such as portable CD or DVD players or set-top-boxes) use the RCA/PHONO–XLR adaptor provided to connect the EUT's analogue outputs to the dScope's XLR inputs rather than using the normal (ungrounded) RCA/PHONO–BNC adapter. In some cases, results may be improved by also grounding the chassis of the EUT to the dScope's front-panel chassis terminal.

If the EUT has loudspeaker outputs only, then all tests should be performed at these outputs. Note that some specifications are different in this case.

Analogue domain tests Dolby Digital 5.1-channel tests reference


Reference Level

dScope Configuration: | Ref Level Track 30.dsc
Track Number: | 30
Corresponding AP Test File: | 5_reflevel
Duration: | 30 sec
Test Signal Description: | 997Hz at –20dBFS
Channels: | L, C, R, Ls, Rs

Description

The Reference Level test is used to obtain the ideal full-scale output amplitude (FS) of the EUT. Throughout testing this ideal FS amplitude will be used as a reference amplitude.

Method

Select track 30, wait until the track has started playing, and then click the [OK] button to start the test.

The test track contains a –20dBFS sinusoidal stimulus at 997Hz. The measured amplitude at the output of the EUT is increased by 20dB and entered as the dScope's dBr reference amplitude. This value is used as the 0dBFS reference amplitude in all subsequent tests unless otherwise noted.

A 0dBFS signal is not used to establish the reference amplitude since clipping, compression or other issues may limit the EUT's output under this condition.

Specification

No specification is provided. A Reference Level of around 2V (RMS) might be typical for all channels except the Sub, which will probably be around 400mV.

Reference Level Analogue domain tests


Relative Output Level

dScope Configuration: | Rel Output Level Track 28_2.dsc
Track Number: | 28 (AutoTest DVD v2.0)
Corresponding AP Test File: | N/A
Duration: | 200 sec
Test Signal Description: | 3kHz at –20dBFS / 30Hz at -20dBFS
Channels: | L, C, R, Ls, Rs, Sub

Description

The Relative Output Level (Output Level Balance) test is used to test the relative balance of the DVD player's outputs.

Method

Set all trim/level controls to their nominal positions. Select track 28 from the AutoTest DVD V2.0, wait until the track has started playing, and then click the [OK] button to start the test.

The test track contains tones at an amplitude of -20dBFS. Stereo sweeps are done for the Left and Right channels, then Left Surround and Right Surround, and finally Centre and Sub.

Specification

With the trim/balance controls set to their nominal positions, any individual output (except the Sub) should be within 1.0dB of any other output.

Relative Output Level Analogue domain tests


Maximum Output Level

dScope Configuration: | Max Output Level Track 65-69.dsc Max Output Level Track 70-73.dsc
Track Number: | 65-73
Corresponding AP Test File: | N/A
Duration: | 30 sec (each track)
Test Signal Description: | Tracks 65-69: 997Hz at 0dBFS Tracks 70-72: 30Hz at 0dBFS Track 73: 30Hz at -3dBFS
Channels: | Tracks 65-69,71: L, C, R, Ls, Rs Track 70: Sub only Tracks 72-73: L, C, R, Ls, Rs, Sub

Description

This test measures the worst-case maximum output of the EUT with a 5-channel signal. Since compression can affect the level of a 5.1-channel full-scale signal, this test involves playing a 0dBFS sine wave for each channel separately.

Method

Turn compression Off, and set all trim/balance controls to their maximum positions.

Part 1 of this test involves measuring the maximum output amplitude for the Sub.

When prompted, select track 70 on the DVD player. Wait until the track is playing then click the [OK] button to start the test.

Repeat this process when prompted for tracks 71 to 73.

Part 2 measures the maximum output amplitude for the other channels.

When prompted, select track 66 on the DVD player. Wait until the track is playing then click the [OK] button to start the test.

Repeat this process when prompted for tracks 65 and 67 to 69.

At the end of the test, the maximum amplitudes will be displayed for each channel.

Specification

The DVD player should operate within a maximum RMS level of 2.0V ±10% at any output.

Maximum Output Level Analogue domain tests


Dialog Normalization

dScope Configuration: | Dialog Normalization Track 62.dsc
Track Number: | 62
Corresponding AP Test File: | 5_dnsweep
Duration: | 64 sec
Test Signal Description: | 1kHz at 0dBFS
Channels: | L, C, R, Ls, Rs

Description

This test ensures that dialog normalization is turned on and functioning. Dialog normalization allows the decoder to control the output level of the product based on metadata provided in the bitstream.

Method

Play track 62 and as soon as the track has started, click the [OK] button to start the test.

The test track contains a full-scale signal that is stepped down by 1dB every two seconds using Dialog Normalization attenuation. The test plots the output amplitude for the left channel every 500ms for 64s, measured through a 1kHz band-pass filter.

Specification

The sweep should show the output level dropping by 1dB every 2 seconds over a 30dB range. If compression is turned on, the output level should be flat for 3 seconds before beginning to drop.

Dialog Normalization Analogue domain tests


Dynamic Range Compression

dScope Configuration: | Dynamic Range Compression Track 61.dsc
Track Number: | 61
Corresponding AP Test File: | 5_dcomp
Duration: | 60 sec (each track)
Test Signal Description: | 400Hz Sweep, 0 to -60dBFS
Channels: | L, C, R, Ls, Rs

Description

This test verifies that dynamic range compression is functioning correctly during bass redirection.

Method

The test is firstly performed with the Sub ON and all the pother speakers set to "small". The other parts of the test have the Sub turned OFF, the left and right speakers set to "large", and all combinations of "large"/"small" for the other speakers.

For each test, play track 61 and when the track has started playing, immediately click the [OK] button to start the test.

The dScope measures the amplitude of each output channel against track time (and hence against level), using a 400Hz band-pass filter to reduce the effects of noise.

Specification

The following results should be expected:

No compression | Output decreases linearly
Line mode (variable) | Output is flat for variable line mode compression, then decreases linearly.
Full Line Mode | Output is flat at -11dBFS for 11 seconds, then decreases linearly.
RF Mode | Output is flat at -22dBFS for 22 seconds, then decreases linearly.

Dynamic Range Compression Analogue domain tests


Frequency Response, Bass Redirection

dScope Configuration: | Frequency Response Track 43-48.dsc
Track Number: | 43-48
Corresponding AP Test File: | N/A
Duration: | 60 sec (each track)
Test Signal Description: | -20dBFS sweep, 20Hz to 20kHz (Sub 20Hz to 120Hz)
Channels: | L (track 43), C (track 44), R (track 45), Ls (track 46), Rs (track 47), Sub (track 48)

Description

This test verifies frequency response, bass management and downmix levels for all downmix modes.

Test 1 assumes that all speakers are "small", so removes the low frequencies from the main channels, adds them to the signal from the Sub, and the Sub channel outputs the sum of these signals.

Test 2 applies bass redirection in the case that some of the main channel loudspeakers are "large" and capable of low frequency reproduction. In this case the low frequencies are filtered from the "small" speakers, summed together with the signal from the Sub, and reproduced by the "Large" speakers (usually left and right).

Note: Some DVD players implement a limited version of bass redirection called "Simplified bass redirection". In this case, high-pass filters are not applied to the front channels, so their response curves are flat and the bass from the front channels is not redirected to the subwoofer.

Method

Turn the Subwoofer ON, and set speakers to "small" where possible.

This method uses a sensed sweep from 20Hz to 20kHz to plot frequency responses for each of the channels. For Test 1, the low frequencies are removed from the main channels and redirected to the Sub:

For Test 2, the Left and Right outputs will show a flat frequency response with no redirected bass present at the Sub output.

Specification

For the first test, all the main channel signals should have very similar frequency response curves, rolling off at lower frequencies. The Sub signal redirected from the front speakers should be distinct and around 10dB higher than the other channels at low frequencies. If Simplified Bass Management is used, the Left and Right outputs will show a flat response and no bass will be redirected to the Sub.

For the second test, the Left and Right frequency responses should be flat. If Simplified Bass Management is used, there will be no signal from the Sub present at the Left and Right outputs.

Frequency Response, Bass Redirection Analogue domain tests


THD vs Frequency

dScope Configuration: | THD vs Frequency Track 43-47.dsc
Track Number: | 43-47
Corresponding AP Test File: | 5_thdfreq
Duration: | 60 sec (each track)
Test Signal Description: | -20dBFS sweep, 20Hz to 20kHz
Channels: | L (track 43), C (track 44), R (track 45), Ls (track 46), Rs (track 47)

Description

This test produces a plot of the THD+N of the EUT against frequency, at 20dB below full-scale amplitude.

Method

If possible, set all speakers to "large".

The script will perform sweeps for each pair of channels in turn. For each test, you will be asked to play track

Click the [OK] button to start the test, and then play track 49.

The dScope senses the 60 logarithmically-spaced frequencies on the test track, measures the THD+N at each, and produces a plot of the results for both channels.

Specification

Across the frequency range, the THD+N for line outputs should be less than –60dBr and for headphone or speaker outputs, less than –57dBr. At higher frequencies, it is usual to see an increase in distortion.

THD vs Frequency Analogue domain tests


THD vs Level

dScope Configuration: | THD vs Level Track 63.dsc
Track Number: | 63
Corresponding AP Test File: | 5_thdlvl
Duration: | 120 sec
Test Signal Description: | 4kHz sweep, 0 to -120dBFS
Channels: | L, C, R, Ls, Rs

Description

This test produces a plot of the THD+N of the EUT against level, from 0dBFS to –120dBFS, at 4kHz.

Method

If possible, set all speakers to "large".

Play track 63 and then immediately click the [OK] button to start the test.

The dScope plots THD+N against time for the each channel for the 120s of the test track; this corresponds to a sweep from 0dBFS to –120dBFS.

Specification

Across the amplitude range, the THD+N for line outputs should be less than –60dBr and for headphone or speaker outputs, less than –57dBr. Typically, the THD+N will decrease slightly for the first 10 or 20dB and then reach a low, constant level.

THD vs Level Analogue domain tests


Signal-to-Noise

dScope Configuration: | Signal to Noise Ratio Track 35.dsc
Track Number: | 35
Corresponding AP Test File: | 5_dnr
Duration: | 60 sec
Test Signal Description: | 200Hz, -60dBFS
Channels: | L, C, R, Ls, Rs

Description

This test measures the noise floor of the EUT relative to a notional nominal –20dBFS signal amplitude. This is done in the presence of a small signal (200Hz at –60dBFS) so that the EUT cannot mute its D/A converter.

Method

Play track 35 and then click the [OK] button to start the test.

The dScope measures the residual amplitude of all channels, after a 200Hz notch filter, band-limited between 22Hz and 22kHz, and using a CCIR–2k weighting filter. Note that this test is performed as a sweep against track time (even though it could actually be a single spot measurement) for consistency with the Dolby test procedure.

The first part of the test measures the noise level for each channel with the Sub turned On and all speakers set to "small". The second part repeats the measurements with the Sub turned Off and the front speakers set to "large".

Specification

No specification is given.

Signal-to-Noise Analogue domain tests


Downmix

dScope Configuration: | Downmix Track 41-42.dsc
Track Number: | 41-42
Corresponding AP Test File: | 2_dwnmix
Duration: | 30 sec (each track)
Test Signal Description: | 400Hz; level and phase vary depending on the channel.
Channels: | L, C, R, Ls, Rs

Description

This test ensures that the EUT can properly downmix a 5.1-channel bitstream into 2-channel output.

All DVD players are required to implement an Lt/Rt downmix. A Lo/Ro downmix may be provided as a user-selectable option. An Lt/Rt downmix is essentially a surround compatible stereo output (track 42). An Lo/Ro downmix is for standard stereo output (track 41).

Method

Play track 41 and then click the [OK] button to start the test. When prompted, play track 42 and then click the [OK] button.

The Dolby Digital test tracks are such that when the correct downmix is performed, the signals in the L,R,C,Ls & Rs channels cancel producing very little output. The dScope measures the outputs of each channel using a 400Hz band-pass filter to eliminate the effects of noise.

Specification

Either track 41 or track 42 should result in complete cancallation of the signals. If this is the case, then Downmix has been implemented correctly.

Downmix Analogue domain tests


Downmix Overload

dScope Configuration: | Downmix Overload Track 60.dsc
Track Number: | 60
Corresponding AP Test File: | N/A
Duration: | 30 sec
Test Signal Description: | 2kHz; 0dBFS
Channels: | L, C, R, Ls, Rs

Description

This test ensures that channel levels are adjusted correctly during Downmix situations by checking for distorted output in the presence of a full-scale tone in all five channels.

Method

Play track 60 and then click the [OK] button to start the test. This test is repeated for the following settings of the DVD player, if applicable:

· No Centre channel
· No Surround channels
· Stereo Lt/Rt downmix
· Stereo Lo/Ro downmix
· Mono
· Mono Surround

Specification

The distortion should be less than 3% THD+N for all conditions measured.

Downmix Overload Analogue domain tests


Low Frequency Overload

dScope Configuration: | Low Frequency Overload Track 70-73.dsc
Track Number: | 70-73
Corresponding AP Test File: | N/A
Duration: | 30 sec (each track)
Test Signal Description: | 30Hz; 0dBFS (tracks 70, 71 & 72) 30Hz; -3dBFS (track 73)
Channels: | L, C, R, Ls, Rs

Description

This test ensures correct handling of bass redirection, which involves summation of signals.

Method

Four tracks containing 30Hz sweeps are played in order of descending overload probability. For each Sweep, the Sub is firstly measured with all other channels set to "small", and then the Left and Right channels are measured with bass redirection on (i.e. the Left and Right channels set to "large" with the Sub turned off).

If the Low Frequency Overload test passes on one of the tracks, subsequent testing is not necessary. The script will detect this and will only prompt for the next track if the previous track caused the overload test to fail.

Specification

The distortion should be less than 3% THD+N for the Sub and the Left channel.

Low Frequency Overload Analogue domain tests


Relative Phase (Polarity)

dScope Configuration: | Relative Phase Track 55-56.dsc
Track Number: | 55-56
Corresponding AP Test File: | N/A
Duration: | 60 sec (each track)
Test Signal Description: | Track 55: Asymmetrical 400Hz tone, -20dBFS; Track 56: 1ms positive pulse.
Channels: | Track 55: L, C, R, Ls, Rs, Sub Track 56: L, C, R, Ls, Rs

Description

This test confirms that relative phase is preserved at the line outputs of the DVD player. Track 55 is the best track for this test since it contains a signal in the Sub channel; track 56 can be used to check the results from track 55 if necessary.

Method

Set all speakers to "large" and play track 55. When the track has started, click [OK] to start the test.

Specification

The Trace window should show that the polarity of the signal is the same on all channels.

Relative Phase (Polarity) Analogue domain tests


Level Trim Controls

dScope Configuration: | Level Trim Controls Track 30.dsc
Track Number: | 30
Corresponding AP Test File: | N/A
Duration: | 30 sec
Test Signal Description: | 997Hz, -20dBFS
Channels: | L, C, R, Ls, Rs

Description

This test verifies the operation of level trim and/or balance controls, if provided.

Method

Set all level trim/balance controls to their nominal positions.

The script will go through each channel in turn, and ask whether the channel has trim/balance controls. If it has, then the test will be performed for the channel.

For each channel with level/trim controls, play track 30 and then click the [OK] button to start the test. The nominal level of the channel wil be recorded and a Sweep performed. Increment the trim for the channel by one step, then restart track 30 and click [OK] again. The Sweep will be repeated at this new level. This process will be repeated again for the minimum and maximum level of the trim control.

Specification

Each trim control should have a range of at least 10dB and should be adjustable in steps of 1dB or smaller.

Level Trim Controls Analogue domain tests


Dolby Digital Centre Channel Delay

dScope Configuration: | Centre Channel Delay Track 56.dsc
Track Number: | 56
Corresponding AP Test File: | N/A
Duration: | 60 sec
Test Signal Description: | 1ms, -20dBFS pulse with 40ms cycle.
Channels: | L, C, R, Ls, Rs, Sub

Description

This test measures the delay between the Left and Centre outputs. The Scope Trace is triggered from the left channel, and the Centre channel triggers at the same time, showing the delay on the Trace window.

Method

Play track 56, and as soon as the track has started, click [OK] to begin the test.

Specification

If the Centre channel delay is variable, it should range from 0 to 5ms and increment in steps of 1ms or less.

Dolby Digital Centre Channel Delay Analogue domain tests


Dolby Digital Surround Channel Delay

dScope Configuration: | Centre Channel Delay Track 56.dsc
Track Number: | 56
Corresponding AP Test File: | N/A
Duration: | 60 sec
Test Signal Description: | 1ms, -20dBFS pulse with 40ms cycle.
Channels: | L, C, R, Ls, Rs, Sub

Description

This test measures the delay between the Left and Surround outputs. The Scope Trace is triggered from the left channel, and the Surround channel triggers at the same time, showing the delay on the Trace window.

Method

Play track 56, and as soon as the track has started, click [OK] to begin the test.

Specification

If the Surround channel delay is variable, it should range from 0 to 15ms and increment in steps of 5ms or less.

Dolby Digital Surround Channel Delay Analogue domain tests


Noise Sequencer

dScope Configuration: | Noise Sequencer.dsc
Track Number: | N/A
Corresponding AP Test File: | N/A
Duration: | N/A
Test Signal Description: | Internal Noise Sequencer of the DVD Player
Channels: | L, C, R, Ls, Rs, Sub

Description

This test measures the level and performance of the noise sequencer of the DVD Player.

Method

Turn on all channels of the DVD player and the noise sequencer. Click [OK] to start the test.

Specification

The noise sequencer level should be -30dBFS at all outputs in Dolby Digital 5.1-channel mode and in Pro Logic mode with a cycle time of between one and two seconds.

Noise Sequencer


Digital domain tests

The following digital domain tests are available. They are described in detail in the relevant section of the Dolby Digital 2-channel manual in the following sections:

Eye Pattern

Jitter Spectrum

Category Code

Audio/Data Bit

Setting up

The digital domain tests are measured at the digital outputs of the EUT. Please make sure that the following connection has been made:

· Digital Output of the EUT to the dScope's Digital Input BNC, using the provided RCA/PHONO–BNC adapter.

Digital domain tests Dolby Digital 5.1-channel tests reference


Glossary

The following definitions are used in the Dolby Digital test procedure and in the dScope implementation of the Dolby Digital tests:

Channel Status - status information embedded in an AES3 or S/PDIF digital interface, one bit per channel per sample-period, which accumulate into a 192-bit frame for each channel every 192 sample-periods. The frame is arbitrarily split into many fields of various lengths, with diverse functions as described in the appropriate interface standard document. The definitions of the fields and their meanings are different for 'Consumer' Channel Status (where the first bit of the frame is 0, used in S/PDIF) and 'Professional' Channel Status (where the first bit is 1, used in AES3).

D/A line-up - A setting of the dScope's Inputs and Outputs which relates the maximum analogue amplitude to the maximum digital amplitude. It is expressed as an analogue amplitude which corresponds to 0dBFS (full-scale digital). This feature of the dScope is especially useful in measuring EUTs with both analogue and digital ports since it allows settings or measurements in one domain to be expressed in the units of the other. For example, an A/D converter can be stimulated with a signal 1dB below that which will produce full-scale output by setting the dScope's analogue generator amplitude to –1dBFS, provided that the dScope has been set to the appropriate D/A line-up for the converter.

Data jitter - A type of interface jitter. Data jitter is that part of the interface jitter which is caused by variations in the duty cycle of the AES3 or IEC60958 carrier acting with high-frequency losses in the transmission medium (e.g. cable capacitance) such that edge timing in the carrier is modulated by the activity of the data bits. This is distinct from fs jitter, which is inherent in the carrier source. dScope can measure data jitter and fs jitter independently, so that the cause of jitter problems can be identified. Also referred to as 'inter-symbol interference'.

dS-NET - A proprietary serial interface used to connect peripherals such as I/O Switchers to the dScope.

dBFS - A logarithmic unit used to express signal amplitude in digital and mixed-domain systems in terms of the maximum amplitude which can be accommodated by an EUT. A 0dBFS signal has the same RMS amplitude as a sine whose peaks just touch the maximum level of the system. A –6dBFS signal has half this amplitude, for example. Note that for non-sine signals such as square waves or DC it is possible for the system to accommodate amplitudes greater than 0dBFS. In the dScope it is possible to specify or measure analogue signal amplitudes in dBFS, in which case the D/A line-up is used as a reference.

EUT - 'Equipment under test'.

Eye-diagram - The AES3 and IEC60958 standards define acceptable carrier degradation in terms of amplitude and edge-timing using an eye-diagram, which shows the minimum acceptable differential carrier amplitude over a defined period within 1 UI of the carrier. This can be verified on the dScope using the Carrier Display feature.

Eye-narrowing - The dScope can measure the worst-case narrowing of the eye of an AES3 or IEC60958 carrier. This is essentially a measurement of data jitter, and can be referred to the eye-diagram in the AES3 or IEC60958 standards.

Folding frequency - Half the sample rate of the EUT. Input frequencies above the folding frequency are subject to aliasing. Where an EUT applies internal down-sampling, the folding frequency is half of the lowest internal sample rate employed.

fs - Abbreviation for sample rate.

FS - Full-scale amplitude.

Full-scale amplitude - A signal whose amplitude is the maximum which can be accommodated by the EUT. In the case of a sine, this amplitude is 0dBFS.

IEC60958 - A two-channel digital audio interface standard, as provided at the dScope's Digital Output and Input. Also known as S/PDIF this format is used in consumer applications usually with an unbalanced phono/RCA copper or TOSLINK optical connection. It carries audio wordlengths up to 24 bits, plus Valid bit, User bit, Channel Status and Parity bit per channel.

IMD - Intermodulation Distortion. When a signal consists of more than one frequency, a non-linear device under test will produce the original frequencies plus an infinite number of IMD products, given by

(a * F1) + (b * F2) + (c * F3) + ...

where (a, b, c) etc. are all possible integer numbers, and (F1, F2, F3) etc. are the frequencies of the original tones.

Jitter - Variation in edge-timing of a clock. In audio systems, manifestations are interface jitter and sampling jitter.

S/PDIF - IEC60958.

UI - (Unit Interval). A UI of an AES3 or IEC60958 carrier is 1/128 of the frame period, the duration of a single biphase-mark 'cell', or half a bit period.

Glossary Dolby Digital 2ch


Noise Modulation

dScope Configuration: | Noise Modulation Track 25.dsc
Track Number: | 25
Corresponding AP Test File: | 2_nmod.at2
.ac3 Test File: | 2_nmod.ac3
Duration: | 120 sec
Test Signal Description: | 0 to –120dBFS sweep at 41Hz

Description

This test looks for modulation of the noise floor at 4kHz (using a 4kHz band-pass filter).

This is not a requirement for Dolby Digital, however it is a legacy test, which may be of interest.

Method

Play the title and then start the sweep.

If not prompted to save, right-click on the graphs to select "Export graph in Enhanced Metafile (.emf) format".

Specification

None. A Reference Level of around 2V RMS might be typical for an unbalanced consumer output.

Noise Modulation Analogue domain tests


dScope Configurations

Ref Level Track 8.dsc

Max Output Level Track 72.dsc

Dialog Normalization Track 23.dsc

Dynamic Range Compression 2 Ch Track 22.dsc

Dynamic Range Compression 5 Ch Track 61.dsc

DownMix Tracks 41 and 42.dsc

Separation L Track 26.dsc

Separation R Track 27.dsc

Frequency Response Track 19.dsc

THD vs Frequency Track 19.dsc

THD vs Level Track 24.dsc

Signal to Noise Ratio Track 13.dsc

Inter-channel Phase Track 19.dsc

Eye Pattern Track 19.dsc

Jitter Spectrum Track 19.dsc

Category Code Track 19.dsc

Audio Data Bit Track 19.dsc

dScope Configurations Dolby Digital 2ch


Pro Logic Centre Channel Evaluation

Enter topic text here.

Pro Logic Centre Channel Evaluation Analogue domain tests


Pro Logic Functionality

dScope Configuration: | Pro Logic Functionality Track 5-6.dsc
Track Number: | 5-6
Corresponding AP Test File: | N/A
Duration: | 30 sec (each track)
Test Signal Description: | 2kHz, -20dBFS
Channels: | L, C, R, Ls, Rs,Sub

Description

If a DVD player has Pro Logic decoding, it must be able to decode any PCM or Dolby Digital 2-channel bitstream using Pro Logic Mode, regardless of the setting of the Surround flag.

Method

Turn on Pro Logic decoding on the DVD player. Play track 5, and as soon as the track has started, click [OK] to begin the test.

The dScoep cannot currently determine proper Pro Logic

When the test is playing, the

Specification

If the Centre channel delay is variable, it should range from 0 to 5ms and increment in steps of 1ms or less.

Pro Logic Functionality Analogue domain tests


Pro Logic Surround Channel Delay

Enter topic text here.

Pro Logic Surround Channel Delay Analogue domain tests